org.apache.storm.daemon.supervisor.timer

## Class SynchronizeAssignments

- java.lang.Object
- - org.apache.storm.daemon.supervisor.timer.SynchronizeAssignments

- All Implemented Interfaces:
    Runnable

      public class SynchronizeAssignments
      extends Object
      implements Runnable

  A runnable which will synchronize assignments to node local and then worker processes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizeAssignments(Supervisor supervisor, SupervisorAssignments assignments, ReadClusterState readClusterState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SupervisorAssignments>` | `getAllAssignmentsFromNumaSupervisors(Nimbus.Iface nimbus, String node)`
    `void` | `getAssignmentsFromMaster(Map conf, IStormClusterState clusterState, String node)` Used by `Supervisor` to fetch assignments when start up.
    `void` | `getAssignmentsFromMasterUntilSuccess(Supervisor supervisor)` Used by `Supervisor` to fetch assignments when start up.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizeAssignments

          public SynchronizeAssignments(Supervisor supervisor,
                                        SupervisorAssignments assignments,
                                        ReadClusterState readClusterState)

      Constructor.

      Parameters:
        `supervisor` - `Supervisor`
        `assignments` - `SupervisorAssignments`
        `readClusterState` - `ReadClusterState`

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### getAssignmentsFromMasterUntilSuccess

          public void getAssignmentsFromMasterUntilSuccess(Supervisor supervisor)

      Used by `Supervisor` to fetch assignments when start up.

      Parameters:
        `supervisor` - `Supervisor`

    - #### getAllAssignmentsFromNumaSupervisors

          public List<SupervisorAssignments> getAllAssignmentsFromNumaSupervisors(Nimbus.Iface nimbus,
                                                                                  String node)
                                                                           throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### getAssignmentsFromMaster

          public void getAssignmentsFromMaster(Map conf,
                                               IStormClusterState clusterState,
                                               String node)

      Used by `Supervisor` to fetch assignments when start up.

      Parameters:
        `conf` - config
        `clusterState` - `IStormClusterState`
        `node` - id of node

Copyright © 2021 The Apache Software Foundation. All rights reserved.